## google-perftools 2.5

=== debian/changelog ===
google-perftools (2.5-2.2ubuntu3) bionic; urgency=medium

  * Don'try to install the profiler libraries on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Apr 2018 10:13:39 +0200

google-perftools (2.5-2.2ubuntu2) bionic; urgency=medium

  * Fix ftbfs with glibc-2.27 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Apr 2018 11:41:38 +0200

google-perftools (2.5-2.2ubuntu1) artful; urgency=medium

  * Merge from Debian. Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Use 3.0 (quilt) format instead of cdbs' deprecated simple-patchsys.
    - Rewrite packaging using debhelper sequencer.
    - Build using -fno-strict-aliasing.
    - Build using recent autotools.
    - Build for s390x.
    - debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
      Use initial-exec tls for libunwind's recursion flag.
  * Enable testing for all architectures by default.
  * Build-depend on libunwind-dev instead of libunwind8-dev, which is
    now a transitional package.
  * Build-depend on libunwind-dev on architectures where available.
  * Disable libunwind on arm64 due to hangs. (LP: #1595242)
  * Disable -fno-exceptions to fix test hangs on arm64.
  * Ignore test results on arm64 and armhf.

 -- dann frazier <dannf@ubuntu.com>  Fri, 18 Aug 2017 16:36:56 -0600

google-perftools (2.5-2.2) unstable; urgency=medium

  * Non-maintainer upload
  * Tweak profiler_unittest.sh so test failures are just counted once
    (Closes: #849132)

 -- Hilko Bengen <bengen@debian.org>  Tue, 28 Feb 2017 22:44:18 +0100

google-perftools (2.5-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Update URL (Homepage, debian/copyright)
  * Ignore result for profiler unit test that fails "randomly" on i386
    (Closes: #849132)

 -- Hilko Bengen <bengen@debian.org>  Sun, 26 Feb 2017 12:12:05 +0100

google-perftools (2.5-2) unstable; urgency=medium

  * Provide automatic debug packages rather than -dbg packages.
    (Closes: #838562)
  * Bump up Standards-Version to 3.9.8

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Nov 2016 16:08:46 +0900

google-perftools (2.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #831240)
  * Update watch file
  * Remove patches that the upstream has applied
    - debian/patches/unbreak-heap-profiler-unittest-on-gcc-5.patch
    - debian/patches/unbreak-heap_checker_unittest-on-gcc-5.patch

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 27 Nov 2016 14:28:33 +0900

google-perftools (2.5-0ubuntu4) zesty; urgency=medium

  * debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
    Use initial-exec tls for libunwind's recursion flag. (LP: #1647864) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Feb 2017 13:17:47 -0500

google-perftools (2.5-0ubuntu3) zesty; urgency=medium

  * Don't run the tests on arm64, hanging the buildds.
  * Ignore test results on armhf for a first build.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Nov 2016 14:21:23 +0100

google-perftools (2.5-0ubuntu2) zesty; urgency=medium

  * New upstream version.
  * Build for s390x.
  * Build using recent autotools.
  * Build-depend on libunwind-dev everywhere.
  * Build using -fno-strict-aliasing.
  * Bump standards version.
  * Rewrite packaging using debhelper sequencer.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 30 Sep 2016 01:54:44 +0200

google-perftools (2.4-0ubuntu5) xenial; urgency=medium

  * Pass --add-missing to automake to fix build failure.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Apr 2016 12:45:32 +0200

google-perftools (2.4-0ubuntu4) wily; urgency=medium

  * Build using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 23:17:29 +0200

google-perftools (2.4-0ubuntu2) wily; urgency=medium

  * Re-enable the build on Aarch64.
  * Disable the tests again on armhf and arm64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 23:14:30 +0200

google-perftools (2.4-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * Enable futexes on ARM32 (taken from Fedora).
  * Enable tests everywhere for a first upload.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Jul 2015 15:18:35 +0200

google-perftools (2.2.1-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add actual arm64 support (Closes: #763837)

 -- Wookey <wookey@debian.org>  Thu, 02 Oct 2014 02:23:32 +0000

google-perftools (2.2.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release. (Closes: #757149)
  * Updated watch file
  * Added ppc64el, arm64 architectures (Closes: #737677)

 -- Hilko Bengen <bengen@debian.org>  Sun, 07 Sep 2014 21:22:29 +0200

google-perftools (2.1-2) unstable; urgency=low

  * Now builds with automake 1.11. (Closes: #724381)
    Thanks to Eric Dorland for a patch.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 04 Aug 2013 22:08:47 +0900

google-perftools (2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #701378)
  * debian/rules:
    - Enable tests on amd64 and i386. (Closes: #695293)
  * debian/control:
    - Add missing dependency on libunwind8-dev for amd64 architecture
      to libgoogle-perftools-dev. (Closes: #706860)
    - Add new architectures: armel armhf. (Closes: #695308)
    - Bumped up Standards-Version to 3.9.4.
  * Removed debian/patches/20120708_ppc_ftbfs.patch, which has been applied by
    the upstream.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 04 Aug 2013 21:21:26 +0900

google-perftools (2.0-4) unstable; urgency=low

  * Added debian/patches/20121013-pprof.1.patch: Corrects a link.
    Thanks to Junichi Uekawa for reporting.  (Closes: #690313)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 08 Jul 2012 19:26:52 +0900

google-perftools (2.0-3) unstable; urgency=low

  * debian/patches/20120708_ppc_ftbfs.patch: Imported Ubuntu's patch, fixing
    a build failure on powerpc, derived from the upstream:
    http://code.google.com/p/gperftools/issues/detail?id=431
    Thanks to James Page <james.page@ubuntu.com>. (Closes: #680305)

