=== debian/control ===
Source: google-perftools
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daigo Moriwaki <daigo@debian.org>
Build-Depends: debhelper (>= 10.2.1),
  dh-autoreconf,
  dh-exec,
  libunwind-dev [!arm64 !s390x],
Build-Conflicts: autoconf2.13,
  automake1.4,
  automake1.11,
  libunwind-dev [arm64],
Standards-Version: 3.9.8
Homepage: https://github.com/gperftools/gperftools
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/google-perftools/trunk
Vcs-Browser: http://svn.debian.org/viewvc/collab-maint/deb-maint/google-perftools/trunk/

Package: libgoogle-perftools-dev
Section: libdevel
Architecture: i386 amd64 powerpc ppc64el arm64 armel armhf s390x
Depends: ${misc:Depends}, libgoogle-perftools4 (= ${binary:Version}), libtcmalloc-minimal4 (= ${binary:Version}), libunwind8-dev [amd64]
Description: libraries for CPU and heap analysis, plus an efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs.  This
 includes an optimized thread-caching malloc() and cpu and heap profiling
 utilities.  The devel package contains static and debug libraries and header
 files for developing applications that use the google-perftools package.

Package: libtcmalloc-minimal4
Section: libs
Architecture: i386 amd64 powerpc ppc64el arm64 armel armhf s390x
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This is a
 part of that package, and includes an optimized thread-caching malloc.

Package: libgoogle-perftools4
Section: libs
Architecture: i386 amd64 powerpc ppc64el arm64 armel armhf s390x
Depends: libtcmalloc-minimal4 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: libgoogle-perftools0
Description: libraries for CPU and heap analysis, plus an efficient thread-caching malloc
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This includes
 the full features: an optimized thread-caching malloc() and cpu and heap
 profiling utilities.

Package: google-perftools
Section: devel
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, libgoogle-perftools4, curl
Recommends: graphviz, gv
Description: command line utilities to analyze the performance of C++ programs
 The gperftools, previously called google-perftools, package contains some
 utilities to improve and analyze the performance of C++ programs. This is a
 part of that package, and includes command line utilities.
