=== debian/watch ===
version=3
https://github.com/gperftools/gperftools/tags .*/gperftools-(.+)\.tar\.gz
