## google-perftools 2.7

=== debian/changelog ===
google-perftools (2.7-1ubuntu2) focal; urgency=medium

  * Fix wrong execute bit on .install file in packaging.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 19 Feb 2020 13:25:31 -0800

google-perftools (2.7-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Build using -fno-strict-aliasing.
    - Enable testing for all architectures by default.
    - Build-depend on libunwind-dev on architectures where available.
    - Disable libunwind on arm64 due to hangs.
    - Ignore test results on arm64 and armhf.
  * Dropped changes, included in Debian:
    - Build-depend on libunwind-dev instead of libunwind8-dev, which is
      now a transitional package.
    - Build for s390x.
    - Use 3.0 (quilt) format instead of cdbs' deprecated simple-patchsys.
    - Rewrite packaging using debhelper sequencer.
    - Build using recent autotools.
  * Dropped changes, superseded in Debian:
    - Don't try to install the profiler libraries on ppc64el.
  * Dropped changes, included upstream:
    - debian/patches/Use-initial-exec-tls-for-libunwind-s-recursion-flag.patch:
      Use initial-exec tls for libunwind's recursion flag.
    - Disable -fno-exceptions to fix test hangs on arm64.
    - Fix ftbfs with glibc-2.27 on ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Feb 2020 12:16:55 -0800

google-perftools (2.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix libprofiler build on ppc64el (closes: #894749).
  * Remove 0001-unbreak-printing-large-span-stats.patch as not needed.
  * Use short debhelper rules format.
  * Make package multiarch (closes: #893928).
  * Reference google-pprof in README (closes: #739572).
  * Update debhelper level to 11:
    - remove dh-autoreconf build dependency.
  * Update Standards-Version to 4.1.4 .
  * New maintainer (closes: #863782).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 30 Apr 2018 06:52:01 +0000

google-perftools (2.6.90-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable.
  * Cherry-pick patches from upstream to fix tests on i386.

 -- YunQiang Su <syq@debian.org>  Sun, 25 Mar 2018 19:20:03 +0800

google-perftools (2.6.90-0.1~exp) experimental; urgency=medium

  * Non-maintainer upload.
  * Migrate to salsa.debian.org, and convert to git.
  * New upstream release, and use arch list to 'any' for test on experimental
    (Closes: #872511, #837343, #856203, #857275, #761685)
  * Migrate to 3.0 (quilt) format. (Closes: #872512)
  * Build-Dep on libunwind-dev instead of libunwind8-dev. (Closes: #872593)
  * Drop build-dep on binutils. (Closes: #873141)
  * Use standard version 4.1.3.
  * Use multiarch dir as libdir.
  * cdbs: dh-autoreconf.

 -- YunQiang Su <syq@debian.org>  Wed, 21 Mar 2018 13:06:54 +0800

google-perftools (2.2.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patches to fix test failures with gcc 5 (closes: #777887)
  * Pass --add-missing to automake to fix build failure.

 -- Julien Cristau <jcristau@debian.org>  Sat, 20 Feb 2016 16:42:10 +0000
