## google-perftools 2.8.1

=== debian/changelog ===
google-perftools (2.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Dec 2020 11:41:19 +0100

google-perftools (2.8-1) unstable; urgency=medium

  * New major upstream release:
    - fixes FTBFS with GCC 10 (closes: #957297).
  * Add suggests of libgoogle-perftools-dev to google-perftools
    (closes: #739571).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jul 2020 17:03:50 +0200

google-perftools (2.7.90-1) experimental; urgency=medium

  * New major upstream release candidate version.
  * Update patches.
  * Update copyright file.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 Mar 2020 14:03:42 +0000
