=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,7 @@
 
 include /usr/share/dpkg/architecture.mk
 
-TEST_SKIP_ARCHS=
-TEST_IGNORE_ARCHS=arm64 armhf
-
-export DEB_CFLAGS_MAINT_APPEND = -fno-strict-aliasing
-export DEB_CXXFLAGS_MAINT_APPEND = -fno-strict-aliasing
+TEST_ARCHS = i386 amd64
 
 DESTDIR = $(CURDIR)/debian/tmp
 
@@ -33,14 +29,10 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-    ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_SKIP_ARCHS)))
-	@echo Skip running the tests on $(DEB_HOST_ARCH), hanging the buildds
-    else ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_IGNORE_ARCHS)))
-	-dh_auto_test --no-parallel
-	@echo Ignoring test results on $(DEB_HOST_ARCH)
-    else
-	dh_auto_test --no-parallel
-    endif
+# List of architectures for which test execution is enabled
+ifneq (,$(findstring $(DEB_HOST_ARCH), $(TEST_ARCHS)))
+	$(MAKE) check
+endif # TEST_ARCHS
 endif # nocheck
 
 %:
