## google-perftools 2.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,14 +5,14 @@
 
 # Based on configure.ac
 
-project(gperftools VERSION 2.8.1 LANGUAGES C CXX
+project(gperftools VERSION 2.9.0 LANGUAGES C CXX
         DESCRIPTION "Performance tools for C++"
         HOMEPAGE_URL http://code.google.com/p/gperftools/)
 
 # Update this value for every release!
-set(TCMALLOC_SO_VERSION 9.6.5)
-set(PROFILER_SO_VERSION 5.1.5)
-set(TCMALLOC_AND_PROFILER_SO_VERSION 10.1.6)
+set(TCMALLOC_SO_VERSION 9.9.5)
+set(PROFILER_SO_VERSION 5.4.5)
+set(TCMALLOC_AND_PROFILER_SO_VERSION 10.4.6)
 
 # The user can choose not to compile in the heap-profiler, the
 # heap-checker, or the cpu-profiler.  There's also the possibility
@@ -58,7 +58,6 @@
 include(GNUInstallDirs)
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
-include(CheckNoFPByDefault)
 include(DefineTargetVariables)
 include(FindObjcopyWithWeaken)
 include(PCFromUContext)
@@ -66,7 +65,7 @@
 define_target_variables()
 
 # Currently only backtrace works on s390.
-if(s390)
+if(s390 OR OSX)
   set(default_enable_libunwind OFF)
   set(default_enable_backtrace ON)
 else()
@@ -160,19 +159,6 @@
 # Check if we have an objcopy installed that supports -W
 find_objcopy_with_weaken()
 
-# AC_C_INLINE
-set(inline)
-foreach(inline_keyword "inline" "__inline" "__inline__")
-  check_c_source_compiles("
-      static ${inline_keyword} void foo() {}
-      int main() { foo(); return 0; }"
-      have_${inline_keyword})
-  if(have_${inline_keyword})
-      set(inline ${inline_keyword})
-      break()
-  endif()
-endforeach()
-
 # AX_C___ATTRIBUTE__
 check_c_source_compiles("#include <stdlib.h>
                          static void foo(void) __attribute__ ((unused));
@@ -180,7 +166,6 @@
                          int main() { return 0; }"
         HAVE___ATTRIBUTE__)
 
-check_type_size("__int64" __INT64 LANGUAGE CXX) # defined in some windows platforms
 set(CMAKE_EXTRA_INCLUDE_FILES "malloc.h")
 check_type_size("struct mallinfo" STRUCT_MALLINFO LANGUAGE CXX)
 set(CMAKE_EXTRA_INCLUDE_FILES "elf.h")
@@ -196,7 +181,6 @@
 check_include_file("execinfo.h" HAVE_EXECINFO_H) # for stacktrace? and heapchecker_unittest
 check_include_file("unwind.h" HAVE_UNWIND_H) # for stacktrace
 check_include_file("sched.h" HAVE_SCHED_H) # for being nice in our spinlock code
-check_include_file("conflict-signal.h" HAVE_CONFLICT_SIGNAL_H) # defined on some windows platforms?
 check_include_file("sys/prctl.h" HAVE_SYS_PRCTL_H) # for thread_lister (needed by leak-checker)
 check_include_file("linux/ptrace.h" HAVE_LINUX_PTRACE_H) # also needed by leak-checker
 check_include_file("sys/syscall.h" HAVE_SYS_SYSCALL_H)
@@ -207,16 +191,12 @@
 check_include_file("grp.h" HAVE_GRP_H) # for heapchecker_unittest
 check_include_file("pwd.h" HAVE_PWD_H) # for heapchecker_unittest
 check_include_file("sys/resource.h" HAVE_SYS_RESOURCE_H) # for memalign_unittest.cc
-check_include_file("valgrind.h" HAVE_VALGRIND_H) # we have a local copy if this isn't found
 check_include_file("sys/cdefs.h" HAVE_SYS_CDEFS_H) # Where glibc defines __THROW
 
 check_include_file("unistd.h" HAVE_UNISTD_H)
 check_include_file("inttypes.h" HAVE_INTTYPES_H)
 # We also need <ucontext.h>/<sys/ucontext.h>, but we get those from
 # AC_PC_FROM_UCONTEXT, below.
-
-# for windows
-check_symbol_exists(snprintf stdio.h HAVE_SNPRINTF)
 
 # We override a lot of memory allocation routines, not all of which are
 # standard.  For those the system doesn't declare, we'll declare ourselves.
@@ -282,35 +262,72 @@
   endif()
 endif()
 
-# On x86_64, instead of libunwind, we can choose to compile with frame-pointers.
-# Some x86_64 systems do not insert frame pointers by default.
-# We want to see if the current system is one of those.
+# On x86_64, we know that default is to omit frame pointer.
 if(x86_64)
-  check_omit_fp_by_default(omit_fp_by_default)
-endif()
-
-if(x86_64 AND omit_fp_by_default)
-  set(fp_option_enabled "Success")
-else()
-  set(fp_option_enabled "Failed")
-  if(NOT x86_64)
-    set(fp_option_enabled "${fp_option_enabled}, not x86_64")
-  elseif(NOT omit_fp_by_default)
-    set(fp_option_enabled
-        "${fp_option_enabled}, frame pointer not omitted by default")
-  endif()
-  message(STATUS
-    "Enable option gperftools_enable_frame_pointers - ${fp_option_enabled}")
-endif()
-
-cmake_dependent_option(
-  gperftools_enable_frame_pointers
-  "On x86_64 systems, compile with -fno-omit-frame-pointer (see INSTALL)"
-  OFF
-  "x86_64;omit_fp_by_default"
-  OFF)
+  set(omit_fp_by_default ON)
+endif()
 
 # See if the compiler supports -Wno-unused-result.
 # Newer ubuntu's turn on -D_FORTIFY_SOURCE=2, enabling
 # __attribute__((warn_unused_result)) for things like write(),
 # which we don't care about.
+check_c_compiler_flag("-Wno-unused-result" have_w_no_unused_result)
+
+option(gperftools_dynamic_sized_delete_support
+       "Try to build run-time switch for sized delete operator"
+       OFF)
+if(gperftools_dynamic_sized_delete_support)
+  set(ENABLE_DYNAMIC_SIZED_DELETE 1)
+endif()
+
+option(gperftools_sized_delete "Build sized delete operator" OFF)
+if(gperftools_sized_delete)
+  set(ENABLE_SIZED_DELETE 1)
+endif()
+
+if(NOT MSVC)
+  set(CMAKE_REQUIRED_FLAGS -fsized-deallocation)
+  check_cxx_source_compiles("
+  #include <new>
+  int main() { (::operator delete)(0, 256); return 0; }"
+          have_sized_deallocation)
+  set(CMAKE_REQUIRED_FLAGS)
+endif()
+
+check_cxx_source_compiles("
+  #include <new>
+  int main() { (::operator delete)((::operator new)(256, std::align_val_t(16)), std::align_val_t(16)); return 0; }"
+  HAVE_STD_ALIGN_VAL_T)
+if(HAVE_STD_ALIGN_VAL_T)
+  set(HAVE_STD_ALIGN_VAL_T 1)
+else()
+  set(HAVE_STD_ALIGN_VAL_T 0)
+endif()
+
+check_c_source_compiles("
+  #include <unwind.h>
+  int main()
+  {
+#if __APPLE__
+#error OSX _Unwind_Backtrace recurses back to malloc
+#endif
+    &_Unwind_Backtrace;
+    return 0;
+  }"
+  HAVE_UNWIND_BACKTRACE)
+
+if(enable_backtrace)
+  set(default_emergency_malloc ON)
+else()
+  set(default_emergency_malloc OFF)
+endif()
+
+if(will_use_libunwind AND ARM)
+  set(default_emergency_malloc ON)
+endif()
+
+option(gperftools_emergency_malloc
+       "Build emergency malloc"
+       ${default_emergency_malloc})
+
+check_c_source_compiles(
