=== debian/changelog ===
google-perftools (2.9.1-0ubuntu3) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:55:55 +0100

google-perftools (2.9.1-0ubuntu2) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:12:18 +0200

google-perftools (2.9.1-0ubuntu1) hirsute; urgency=medium

  * New upstream version. LP: #1922048.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 31 Mar 2021 10:57:59 +0100

google-perftools (2.8.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Build using -fno-strict-aliasing.
    - Enable testing for all architectures by default.
    - Build-depend on libunwind-dev on architectures where available.
    - Disable libunwind on arm64 due to hangs.
    - Ignore test results on arm64 and armhf.
    - Fix wrong execute bit on .install file in packaging.
  * Dropped changes, included upstream:
    - debian/patches/riscv64-porting.patch: Enable building for riscv64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Jan 2021 17:55:16 -0800

google-perftools (2.8-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Use multiline syntax for Build-* fields.
    - Build using -fno-strict-aliasing.
    - Enable testing for all architectures by default.
    - Build-depend on libunwind-dev on architectures where available.
    - Disable libunwind on arm64 due to hangs.
    - Ignore test results on arm64 and armhf.
    - Fix wrong execute bit on .install file in packaging.
    - debian/patches/riscv64-porting.patch: Enable building for riscv64.
  * Dropped changes, included upstream:
    - d/p/0001-liberate-gperftools-tests-from-relying-on-fno-builti.patch:
      cherry-pick from upstream to fix build failures with current toolchain
      related to -fno-builtin-XXX.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 24 Oct 2020 17:03:09 -0700

google-perftools (2.7-1ubuntu6) groovy; urgency=medium

  * Update debian/patches/riscv64-porting.patch for riscv64-specific syscall
    constants and marshalling, and ucontext handling.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2020 08:53:16 -0700

google-perftools (2.7-1ubuntu5) groovy; urgency=medium

  * debian/patches/riscv64-porting.patch: Enable building for riscv64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2020 07:40:55 -0700

google-perftools (2.7-1ubuntu4) groovy; urgency=medium

  * d/p/0001-liberate-gperftools-tests-from-relying-on-fno-builti.patch:
    cherry-pick from upstream to fix build failures with current toolchain
    related to -fno-builtin-XXX.  Thanks to Aliaksey Kandratsenka
    <alkondratenko@gmail.com>.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Oct 2020 06:26:23 -0700

google-perftools (2.7-1ubuntu3) groovy; urgency=medium

  * Omit libunwind on risvc64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 06 Oct 2020 12:06:42 -0700
