=== debian/changelog ===
google-perftools (2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 01 Jun 2022 21:09:09 +0200

google-perftools (2.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 03 Oct 2021 21:20:23 +0200
