=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: google-perftools
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11),
-  libunwind-dev [!arm64 !s390x !riscv64],
-Build-Conflicts: autoconf2.13,
-  automake1.4,
-  libunwind-dev [arm64],
-Standards-Version: 4.5.0
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), libunwind-dev [amd64]
+Build-Conflicts: autoconf2.13, automake1.4
+Standards-Version: 4.6.0
 Homepage: https://github.com/gperftools/gperftools
 Vcs-Git: https://salsa.debian.org/debian/google-perftools.git
 Vcs-Browser: https://salsa.debian.org/debian/google-perftools
